Subject: [secdir] SECDIR review of draft-ietf-payload-rtp-klv-02.txt

From: Alexey Melnikov <[email-masked]>
Date: Sat, 28 Jan 2012 19:22:09 +0000

I have reviewed this document as part of the security directorate's 
ongoing effort to review all IETF documents being processed by the IESG. 
  These comments were written primarily for the benefit of the security 
area directors.  Document editors and WG chairs should treat these 
comments just like any other last call comments.

This document specifies the payload format (and the corresponding media 
type) for packetization of KLV (Key-Length-Value) Encoded Data, as 
defined by the Society of Motion Picture and Television Engineers 
(SMPTE) in SMPTE 336M, into the Real-time Transport Protocol (RTP).

The document is well written. Its Security Considerations section talks 
about several ways of providing RTP payload confidentiality, integrity 
and source authenticity. It also talks about causing denial of service 
in naive decoders by specially crafted packets. I can't think of other 
things that needs to be covered in this section.